<template>
	<div>
		<CommonHeader :setOrden="true" :showIcon="true" :showBackButton="true" :title="$t('addressBook')"></CommonHeader>
		<div class="content-title">
			<p>{{$t('addressBook')}}</p>
		</div>
		<div class="content-dirreccion" v-for="value in addressBook" :key="value.id">
			<nav @click="seeAddressBook(value.id)">
				<div v-if="value.defaultAddress">{{$t('mainAddress')}}</div>
				<p class="lugar">{{value.typeLocation}}</p>
				<p class="dirreccion">
					<span v-if="value.street">{{$t('street')}}: </span>
					{{value.street}} {{value.locality}} 
					<span v-if="value.extNumber">#EXT </span>
					{{value.extNumber}} 
					<span v-if="value.intNumber">#INT</span> 
					{{value.intNumber}} 
					<span v-if="value.region">Reg</span>
					{{value.region}} 
					<span v-if="value.postalCode">CP</span>
					{{value.postalCode}}
				</p>
				<p class="datos">{{value.name}} - {{value.phoneNumber || 'no asignado'}}</p>
			</nav>
			<p>
				<span class="update" @click="seeAddressBook(value.id)">{{$t('edit')}}</span>
					<span> | </span>
					<span class="update" @click="deleteAddressItem(value)">{{$t('discard')}}</span>
					<span v-if="!value.defaultAddress" class="update" @click="setDefaultItem(value.id, value.idUser)">
					<span style="color: black"> | </span>
					{{$t('setAsDefault')}}
				</span>
			</p>
		</div>
		<div class="content-dirreccion">
			<span @click="goToMapAddress()">{{$t('newAddress')}}</span>
			<p align="right" class="icon-seeAll" @click="goToMapAddress()">&#8250;</p>
		</div>
	</div>
</template>

<script lang="ts">
import {Component, Vue} from 'vue-property-decorator'
import CommonHeader from '@/components/CommonHeader.vue'
import AddressBook from "@/models/AddressBook";
import UserService from "@/services/UserService";
@Component({
	components: {
		CommonHeader
	},
})
export default class Directions extends Vue {

	addressBook: AddressBook[] = this.$store.state.addressBook
	user = this.$store.state.user
	
	seeAddressBook(addressId: string){ 
		this.$router.push("/EditAddressBook/" + addressId); 
	}

	goToMapAddress(){ 
		this.$router.push('/mapsFromAddress') 
	}

	// async deleteAddressItem(value: AddressBook){
	// 	await UserService.deleteAddress(value);
	// 	await this.$store.dispatch('getAddressBook', this.user.id)
	// 	this.$router.push('/profile');
	// }

	// async setDefaultItem(valueId: string, valueIdUser: string) {
	// 	await UserService.setDefaultAddress(valueIdUser, valueId)
	// 	await this.$store.dispatch('getAddressBook', this.user.id)
	// 	await this.$router.push('/profile');
	// }
}
</script>

<style lang="scss" scoped>
	.demo {
		font-family: sans-serif;
		border: 1px solid #eee;
		border-radius: 2px;
		padding: 20px 30px;
		margin-top: 1em;
		margin-bottom: 40px;
		user-select: none;
		overflow-x: auto;
	}
.content-title {
	padding-left: 1.5em;
	p {
		color: rgba(254, 202, 56, 1);
		font-weight: bold;
		font-size: 2em;
	}
}
.content-dirreccion {
	border: 1px solid #dadada;
	padding: 1.5em;
	div {
		background: rgba(39, 174, 96, 1);
		color: white;
		font-size: 0.9em;
		font-weight: 700;
		padding: 0.5em;
		border-radius: 4px;
		margin-bottom: 0.4em;
		display: inline-block;
	}
	p {
		line-height: 24px;
		margin: 0;
	}
	.lugar {
		font-weight: 700;
		font-size: 1.1em;
		color: rgba(0, 0, 0, 1);
	}
	.dirreccion {
		font-weight: 400;
		font-size: 1em;
		color: rgba(117, 112, 112, 1);
	}
	.datos {
		font-weight: 700;
		font-size: 1em;
		color: rgba(100, 105, 121, 1);
	}
}

.agregar {
	display: flex;
	justify-content: space-between;
	align-items: baseline;
	padding: 1em 1.5em 0em;
	color: rgba(117, 112, 112, 1);
	p {
        font-size: 1em;
	}
	span {
		font-weight: 400;
		font-size: 1.5em;
	}
}

.delete{
	background: rgba(243, 11, 57, 0.84);
	color: white;
	font-size: 0.9em;
	font-weight: 700;
	padding: 0.5em;
	border-radius: 4px;
	margin-bottom: 0.4em;
	display: inline-block;
	border: none;
}
.update{
	color: #1778f2;
	font-size: 0.9em;
}
</style>>
